<p>agregar works!</p>
<h1 mat-dialog-title>Agendar Cita</h1>
<div mat-dialog-content>
    <form [formGroup]="productForm">
        <mat-form-field appearance="outline">
            <mat-label>Nombres</mat-label>
           <input formControlName="Nombre" matInput placeholder="Carlos">
       </mat-form-field>
   
       <mat-form-field appearance="outline">
           <mat-label>Apellidos</mat-label>
           <input formControlName="Apellido" matInput placeholder="Zurita">
       </mat-form-field> 
       
       <mat-form-field appearance="outline">
           <mat-label>Email</mat-label>
           <input formControlName="Email" matInput placeholder="carlosz@gmail.com">
       </mat-form-field>
   
       <mat-form-field appearance="outline">
           <mat-label>Celular</mat-label>
           <input formControlName="Celular" matInput placeholder="67590622">
       </mat-form-field>
   
       <mat-form-field appearance="outline">
           <mat-label>Elija una Fecha</mat-label>
           <input formControlName="Fecha" matInput [matDatepicker]="picker">
           <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
           <mat-datepicker #picker></mat-datepicker>
         </mat-form-field>
   
       <mat-form-field appearance="outline">
           <mat-label>Hora</mat-label>
           <input formControlName="Hora" matInput placeholder="04:45 PM">
       </mat-form-field>
       <br>
       <mat-form-field appearance="outline">
           <mat-label>Descripcion</mat-label>
           <textarea formControlName="Descripcion" matInput placeholder="mensaje ..."></textarea>
         </mat-form-field>
    </form>
</div>

<div mat-dialog-action [align]="'end'">
    <button mat-raised-button color="primary" (click)="addDate()">
        <span class="material-symbols-outlined">
            save</span>{{ actionbtn }}</button>
    <button style="margin-left:8px;" mat-raised-button color="warn" mat-dialog-close>Cerrar</button>
    
</div>